Subject: Madison park rug ordered through Amazon - order #112-6722908-1597803
From: Jill LEVINE <[email-masked]>
To: [email-masked]
Date: Wed, 28 May 2025 11:14:09 -0400

To Whom It May Concern:
I ordered the Madison park Evan’s 100% cotton bathroom rug in white. The 2 feet x 6 feet. I also ordered the smaller ones for another area in my bathroom. The larger one doesn’t appear to be as white as the others. Is this normal or is there something wrong with the one I received? My order number is 112-6722908-1597803
I attached a picture so you can see the difference in color bit almost looks dirty?